Skip to Content
0
Former Member
Aug 28, 2007 at 05:12 PM

Undeploy - SAPXITOOL10_4.sca for XI Tools 7.0

21 Views

We had an issue that SAP provided a fix for: https://service.sap.com/sap/support/notes/1061202

However, when we applied veriosn 4 of this note, it didn't work. We wish to roll back as we cannot upgrade to SP12 as per SAPs recommendation.

Basically, we implemented SAP XITOOLS 7.0 patch level 10.4 (our current XI patch is on SP10 and SAP XITOOLS7.0 previously was in patch 10.1). Patch 10.4 SCA file has the following components:

sap.com/com.sap.aii.af.service.trex.proxy (software type: J2EE)

sap.com/som.sap.aii.security.ws.proxy (software type: J2EE)

sap.com/com.sap.xi.dbschema.ibdir (software type: JDDSCHEMA)

sap.com/com.sap.xi.dbschema.ibdirpvc (software type: JDDSCHEMA)

sap.com/com.sap.xi.dbschema.ibrep (software type: JDDSCHEMA)

sap.com/com.sap.xi.dbschema.ibreppvc (software type: JDDSCHEMA)

sap.com/com.sap.xi.dbschema.ibrun (software type: JDDSCHEMA)

sap.com/com.sap.xi.dbschema.rwb (software type: JDDSCHEMA)

sap.com/com.sap.xi.directory (software type: J2EE)

sap.com/com.sap.xi.ibresources (software type: J2EE)

sap.com/com.sap.xi.repository (software type: J2EE)

sap.com/com.sap.xi.rwb (software type: J2EE)

sap.com/com.sap.xi.services (software type: J2EE)

sap.com/tc/xi/exprofui (software type: J2EE)

We had successfully deployed this 10.4 patch.

However, the 10.4 patch didn't resolve our problem and we need to roll it back to 10.1. During the select step of undeployment of patch 10.4 in SDM, all the above component are listed in undeployment list, but only the J2EE software type components that can be selected for undeployment. The JDDSCHEMA component can't be selected at all. Thus we delay the undeployment and would like to ask your advice in the below matter:

1. How do we have to undeploy the 10.4 patch, giving that JDDSCHEMA component can't be selected for undeployment in SDM?

2. Do we need to redeploy 10.1 patch afterwards?

3. How we can ensure that the roll back from patch 10.4 to 10.1 patch

is successful?

We posed this question to SAP and they said it is a consulting request! We need to remove this patch as it is now in a worse state than before as it has broken something else!